Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.impl
Class InitContext

    java.lang.Object
      org.hibernate.search.impl.InitContext

    public class InitContext

extends java.lang.Object

Provides access to some default configuration settings (eg default `Analyzer` or default `Similarity`) and checks whether certain optional libraries are available.

Author:
  Emmanuel Bernard, Hardy Ferentschik

Constructor Summary
`InitContext(SearchConfiguration cfg)`

Method Summary
`void` | `addAnalyzerDef(AnalyzerDef ann)`
`org.apache.lucene.analysis.Analyzer` | `buildLazyAnalyzer(java.lang.String name)`
`org.apache.lucene.analysis.Analyzer` | `getDefaultAnalyzer()`
`org.apache.lucene.search.Similarity` | `getDefaultSimilarity()`
`java.util.List<DelegateNamedAnalyzer>` | `getLazyAnalyzers()`
`java.util.Map<java.lang.String,org.apache.lucene.analysis.Analyzer>` | `initLazyAnalyzers()`
`boolean` | `isJpaPresent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitContext

    public InitContext(SearchConfiguration cfg)

Method Detail

### addAnalyzerDef

    public void addAnalyzerDef(AnalyzerDef ann)

### buildLazyAnalyzer

    public org.apache.lucene.analysis.Analyzer buildLazyAnalyzer(java.lang.String name)

### getLazyAnalyzers

    public java.util.List<DelegateNamedAnalyzer> getLazyAnalyzers()

### getDefaultAnalyzer

    public org.apache.lucene.analysis.Analyzer getDefaultAnalyzer()

### getDefaultSimilarity

    public org.apache.lucene.search.Similarity getDefaultSimilarity()

### initLazyAnalyzers

    public java.util.Map<java.lang.String,org.apache.lucene.analysis.Analyzer> initLazyAnalyzers()

### isJpaPresent

    public boolean isJpaPresent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.